<?php
/**
* 404 Page Settings.
*
* @package Elegant Jewellery
*/

$elegant_jewellery_default = elegant_jewellery_get_default_theme_options();

$wp_customize->add_section( 'elegant_jewellery_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'elegant-jewellery' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'elegant_jewellery_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'elegant_jewellery_404_main_title',
    array(
        'default'           => $elegant_jewellery_default['elegant_jewellery_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'elegant_jewellery_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'elegant-jewellery' ),
        'section'  => 'elegant_jewellery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'elegant_jewellery_404_subtitle_one',
    array(
        'default'           => $elegant_jewellery_default['elegant_jewellery_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'elegant_jewellery_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'elegant-jewellery' ),
        'section'  => 'elegant_jewellery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'elegant_jewellery_404_para_one',
    array(
        'default'           => $elegant_jewellery_default['elegant_jewellery_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'elegant_jewellery_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'elegant-jewellery' ),
        'section'  => 'elegant_jewellery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'elegant_jewellery_404_subtitle_two',
    array(
        'default'           => $elegant_jewellery_default['elegant_jewellery_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'elegant_jewellery_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'elegant-jewellery' ),
        'section'  => 'elegant_jewellery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'elegant_jewellery_404_para_two',
    array(
        'default'           => $elegant_jewellery_default['elegant_jewellery_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'elegant_jewellery_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'elegant-jewellery' ),
        'section'  => 'elegant_jewellery_404_page_settings',
        'type'     => 'text',
    )
);